## grendel.composition
Class AddressListBeanInfo

    java.lang.Object
      |
      +--java.beans.SimpleBeanInfo
            |
            +--grendel.composition.AddressListBeanInfo

public class AddressListBeanInfo
extends java.beans.SimpleBeanInfo

BeanInfo for AddressList:

Constructor Summary
`AddressListBeanInfo()`

Method Summary
`java.beans.BeanInfo[]` | `getAdditionalBeanInfo()`
`java.awt.Image` | `getIcon(int iconKind)`

Methods inherited from class java.beans.SimpleBeanInfo
`getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, getPropertyDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressListBeanInfo

    public AddressListBeanInfo()

Method Detail

### getAdditionalBeanInfo

    public java.beans.BeanInfo[] getAdditionalBeanInfo()

  Overrides:
    getAdditionalBeanInfo in class java.beans.SimpleBeanInfo

### getIcon

    public java.awt.Image getIcon(int iconKind)

  Overrides:
    getIcon in class java.beans.SimpleBeanInfo